Assignee: Francisco Díaz Carsí
Category: Document table
Target version: 2.3.0-2401
Severity: Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: csv Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

There's an error when we follow these steps: 
- We join the table of a shp file with an external table (csv for example), and we indicate that it has to be loaded at the view. A new
layer called "Union" is loaded at the view. 
- We activate the new layer, and select: Layer--Export to--shapefile (we call the new layer as "Join.shp" for example). 
- If we select the option to be loaded directly in the view an error appears, telling us that the file "Join.shp" doesn't exist, where it's
being created really at that moment.

I attach the log file.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2358: CSV recorta caráct... Closed 02/24/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2319: DBF error de tamañ... Closed 02/13/2014

Associated revisions
Revision 42166 - 05/05/2015 08:37 AM - José Badía

fixes #2373
Error when a shp with joined table is exported to a new shp file

Revision 42167 - 05/05/2015 08:43 AM - José Badía

fixes #2373
Error when a shp with joined table is exported to a new shp file

Revision 42239 - 07/07/2015 12:04 PM - Francisco Díaz Carsí

fixes #2373 Se arreglaban los nombres para SHP antes de eliminar por nombre el atributo de geometría.

History
#1 - 02/24/2014 05:12 PM - Mario Carrera

The error has happened when a CSV table has been joined to the shp file. If we join a dbf table it works.
#2 - 02/24/2014 05:27 PM - Álvaro Anguix
- Category set to Document table
- Assignee set to Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2221-testing
- Keywords set to csv

#3 - 02/25/2014 07:29 PM - Joaquín  del Cerro Murciano

¿ Se podrian adjuntar  los datos, o la URL se estan para descargar en algun sitio ?

#4 - 02/26/2014 10:20 AM - Mario Carrera
- File Spain.zip added

I attach the files.

"Join" made with these fields: 
- shp: "PROVINCIA" 
- csv: "codigo"

#5 - 02/27/2014 12:00 AM - Álvaro Anguix
- Status changed from New to Fixed

Con el nuevo plugin indicado en el ticket 2358 el error ya no se produce al exportar a shape.
El problema que nos encontramos es el que ya habíamos detectado en el ticket 2319 con el tamaño de los campos numéricos, de los que sólo toma
el primer valor.
Paso este a fixed, pero lo dejo relacionado con el 2319.

#6 - 03/10/2014 05:04 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#7 - 03/12/2015 01:33 PM - Mario Carrera
- gvSIG build changed from 2220 to 2269
- Target version deleted (2.1.0-2221-testing)
- Status changed from Closed to New
- File gvSIG_3.log added
- File gvSIG_2.log added
- File gvSIG_1.log added

I open this ticket with more information, it still happens. It joins the tables correctly, but there are different errors when exporting the "Union" file to a
new shp file.

There are three different cases:

1- I join the table, and select these prefixes for the tables: "p" for provinces and "i" for INE. It indicates that the field names will be cut but it works
good, the new layer is loaded at the view. (gvSIG_1.log attached)
2- I join the table, and select these prefixes for the tables: "pr" for provinces and "in" for INE. It indicates that it can't find the new file (but it's the file
that we are creating). If we select that we don't want to search it, we get this error:
"An error has been produced exporting a store. Name descriptor pr_P20099_ duplicated" 
and the layer is not loaded (gvSIG_2.log attached)

3- I join the table, and select these prefixes for the tables: "prov" for provinces and "ine" for INE. It indicates that it can't find the new file (but it's the file
that we are creating). If we select that we don't want to search it, we get this error: 
"An error has been produced exporting a store. Checks parameters. Errors found validating 'Persistence:SHPNewStoreParameters'. Field
'geometryType': Value required." 
and the layer is not loaded (gvSIG_3.log attached)

#8 - 03/13/2015 10:37 AM - Mario Carrera
- Target version set to 2.2.0-2311-rc2

#9 - 04/29/2015 05:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2310
- Priority changed from Normal to High
- Assignee changed from Joaquín  del Cerro Murciano to José Badía

#10 - 05/05/2015 08:37 AM - José Badía
- Status changed from New to Fixed

#11 - 05/05/2015 01:05 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2310 to 2.2.0-2309

#12 - 05/08/2015 10:16 AM - Mario Carrera
- Status changed from Fixed to Closed

#13 - 07/06/2015 01:41 PM - Mario Carrera
- gvSIG build changed from 2269 to 2313
- gvSIG version changed from 2.1.0 to 2.2.0
- Target version deleted (2.2.0-2309)
- Assignee changed from José Badía to Francisco Díaz Carsí
- Status changed from Closed to New

I open it again. It doesn't work at the 2.2 Final version.

#14 - 07/07/2015 12:04 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset svn-gvsig-desktop|r42239.

#15 - 07/07/2015 12:07 PM - Francisco Díaz Carsí
- % Done changed from 100 to 0
- Target version set to 2.3.0-2401

#16 - 10/27/2015 10:45 AM - Mario Carrera
- Status changed from Fixed to Closed

It works on gvSIG 2.3.0_2406

Files
gvSIG_export_joined_table.log 74.3 KB 02/24/2014 Mario Carrera
Spain.zip 562 KB 02/26/2014 Mario Carrera
gvSIG_1.log 339 KB 03/12/2015 Mario Carrera
gvSIG_2.log 344 KB 03/12/2015 Mario Carrera
gvSIG_3.log 345 KB 03/12/2015 Mario Carrera
